summaryrefslogtreecommitdiff
path: root/update_tmprsadh.sh
diff options
context:
space:
mode:
authorJohn Denker <jsd@av8n.com>2016-01-01 11:17:17 -0700
committerJohn Denker <jsd@av8n.com>2016-01-01 16:34:35 -0800
commit0fefe3a661fb5155f811d5a6412194a566f7de0a (patch)
tree11a712a24d842e9eeb58afcce80fcf75742ba121 /update_tmprsadh.sh
parent67c1e178e1f1d171181e574186468b68a810ee25 (diff)
newly created files now added to repo
Diffstat (limited to 'update_tmprsadh.sh')
-rw-r--r--update_tmprsadh.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/update_tmprsadh.sh b/update_tmprsadh.sh
new file mode 100644
index 0000000..beab94f
--- /dev/null
+++ b/update_tmprsadh.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+# Update temporary RSA and DH keys
+# Frederik Vermeulen 2004-05-31 GPL
+
+umask 0077 || exit 0
+
+export PATH="$PATH:/usr/local/bin/ssl:/usr/sbin"
+
+openssl genrsa -out QMAIL/control/rsa2048.new 2048 &&
+chmod 600 QMAIL/control/rsa2048.new &&
+chown UGQMAILD QMAIL/control/rsa2048.new &&
+mv -f QMAIL/control/rsa2048.new QMAIL/control/rsa2048.pem
+echo
+
+openssl dhparam -2 -out QMAIL/control/dh2048.new 2048 &&
+chmod 600 QMAIL/control/dh2048.new &&
+chown UGQMAILD QMAIL/control/dh2048.new &&
+mv -f QMAIL/control/dh2048.new QMAIL/control/dh2048.pem